Gulp4 migração - Inválido glob argumento

Eu estou trabalhando em um gole migração da versão 3.9.0 para engolir versão 4.0.0.

Eu estou recebendo um erro na gulpfile.js no gole.src(") e a mensagem de erro "Erro: Inválido glob argumento: "

Meu gole.tarefa() em gulpfile.js parece que este -

gulp.task('build-version', function(done) {
    var dir = path.build + '/js',
        filename = "build.js";

    gulp.src('')
        .pipe(ngConfig('ppm', {
            createModule: false,
            constants: {
                newUIBuildVersion: buildVersion
            }
        }))
        .pipe(rename(filename))
        .pipe(gulp.dest(dir));

    // lint build.js file
    return gulp.src(dir + '/' + filename)
        .pipe(jshint(config.jshint))
        .pipe(jshint.reporter(stylish))
        .pipe(jshint.reporter('fail'))
        .on('error', function(err) {
            log(err);
        });});

e o gole versão : 4.0.0, Nó versão : 8.11.4

Minha mensagem de erro : insira a descrição da imagem aqui

Por favor, encontrar a imagem da mensagem de erro no terminal.

Alguém tem alguma idéia de como posso resolver o problema.

0
2019-09-17 20:11:01
origem
0 respostas

Veja mais perguntas por marcas